/*=============================================================================#
 # Copyright (c) 2010, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.command;

import org.eclipse.statet.ecommons.waltable.coordinate.Direction;


public abstract class AbstractRelativeCommand extends AbstractContextFreeCommand {
	
	
	private final Direction direction;
	
	private final long stepCount;
	
	
	public AbstractRelativeCommand(final Direction direction, final long stepCount) {
		if (direction == null) {
			throw new NullPointerException("direction"); //$NON-NLS-1$
		}
		this.direction= direction;
		this.stepCount= stepCount;
	}
	
	protected AbstractRelativeCommand(final AbstractRelativeCommand command) {
		this.direction= command.direction;
		this.stepCount= command.stepCount;
	}
	
	@Override
	public abstract AbstractRelativeCommand cloneCommand();
	
	
	public Direction getDirection() {
		return this.direction;
	}
	
	public long getStepCount() {
		return this.stepCount;
	}
	
}
