/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.config;

import org.eclipse.statet.ecommons.waltable.layer.ILayer;
import org.eclipse.statet.ecommons.waltable.ui.binding.UiBindingRegistry;


/**
 * Casts the layer to be to the type parameter for convenience. 
 * @param <L> type of the layer being configured 
 */
public abstract class AbstractLayerConfiguration<L extends ILayer> implements IConfiguration {

	@Override
	@SuppressWarnings("unchecked")
	public void configureLayer(final ILayer layer) {
		configureTypedLayer((L) layer);
	}
	
	public abstract void configureTypedLayer(L layer);
	
	@Override
	public void configureRegistry(final IConfigRegistry configRegistry) {}
	
	@Override
	public void configureUiBindings(final UiBindingRegistry uiBindingRegistry) {}

}
