/*=============================================================================#
 # Copyright (c) 2013, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.coordinate;


public enum Orientation {
	
	
	/**
	 * The horizontal orientation (columns)
	 */
	HORIZONTAL,
	
	/**
	 * The vertical orientation (rows)
	 */
	VERTICAL();
	
	
	public Orientation getOrthogonal() {
		return (this == HORIZONTAL) ? VERTICAL : HORIZONTAL;
	}
	
}
