/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.copy.action;

import org.eclipse.swt.events.KeyEvent;

import org.eclipse.statet.ecommons.waltable.NatTable;
import org.eclipse.statet.ecommons.waltable.copy.CopyToClipboardCommand;
import org.eclipse.statet.ecommons.waltable.ui.action.IKeyAction;


public class CopyDataAction implements IKeyAction {
	
	
	public CopyDataAction() {
	}
	
	
	@Override
	public void run(final NatTable natTable, final KeyEvent event) {
		natTable.doCommand(new CopyToClipboardCommand("\t", System.getProperty("line.separator"), //$NON-NLS-1$ //$NON-NLS-2$
				natTable.getConfigRegistry() ));
	}
	
}
