/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.data;


/**
 * Maps the properties from the row object to the corresponding columns. 
 * @param <T> type of the bean used as a row object
 */
public interface IColumnAccessor<T> {
	
	
	Object getDataValue(T rowObject, long columnIndex);
	
	void setDataValue(T rowObject, long columnIndex, Object newValue);
	
	long getColumnCount();
	
}
