/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.data.validate;

import static org.eclipse.statet.ecommons.waltable.coordinate.Orientation.HORIZONTAL;
import static org.eclipse.statet.ecommons.waltable.coordinate.Orientation.VERTICAL;

import org.eclipse.statet.ecommons.waltable.config.IConfigRegistry;
import org.eclipse.statet.ecommons.waltable.layer.cell.ILayerCell;


public abstract class DataValidator implements IDataValidator {
	
	
	@Override
	public boolean validate(final ILayerCell cell, final IConfigRegistry configRegistry, final Object newValue) {
		return validate(cell.getDim(HORIZONTAL).getId(), cell.getDim(VERTICAL).getId(),
				newValue );
	}
	
	@Override
	public abstract boolean validate(long columnIndex, long rowIndex, Object newValue);
	
}
