/*=============================================================================#
 # Copyright (c) 2012, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.grid.labeled;

import static org.eclipse.statet.ecommons.waltable.coordinate.Orientation.HORIZONTAL;

import org.eclipse.statet.ecommons.waltable.coordinate.Orientation;
import org.eclipse.statet.ecommons.waltable.grid.GridRegion;
import org.eclipse.statet.ecommons.waltable.grid.layer.PlaceholderLayer;
import org.eclipse.statet.ecommons.waltable.layer.CompositeLayer;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;


public class ExtRowHeaderLayer extends CompositeLayer {
	
	
	public ExtRowHeaderLayer(final ILayer rowHeaderLayer) {
		super(2, 1);
		
		setChildLayer(GridRegion.ROW_HEADER, rowHeaderLayer, 0, 0);
		setChildLayer(GridRegion.HEADER_PLACEHOLDER, new PlaceholderLayer(null, rowHeaderLayer,
				false, rowHeaderLayer.getLayerPainter() ), 1, 0);
	}
	
	
	@Override
	protected boolean ignoreRef(final Orientation orientation) {
		return (orientation == HORIZONTAL);
	}
	
	
	public void setSpaceSize(final int pixel) {
		((PlaceholderLayer) getChildByLabel(GridRegion.HEADER_PLACEHOLDER).layer)
				.setSize(pixel);
	}
	
}
