/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.layer.cell;

import org.eclipse.core.runtime.IProgressMonitor;

import org.eclipse.statet.ecommons.waltable.coordinate.LRectangle;
import org.eclipse.statet.ecommons.waltable.coordinate.Orientation;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;
import org.eclipse.statet.ecommons.waltable.layer.LabelStack;
import org.eclipse.statet.ecommons.waltable.style.DisplayMode;


public interface ILayerCell {
	
	
	ILayer getLayer();
	
	ILayerCellDim getDim(Orientation orientation);
	
	
	long getOriginColumnPosition();
	
	long getOriginRowPosition();
	
	long getColumnPosition();
	
	long getRowPosition();
	
	long getColumnSpan();
	
	long getRowSpan();
	
	boolean isSpannedCell();
	
	
	DisplayMode getDisplayMode();
	
	LRectangle getBounds();
	
	LabelStack getConfigLabels();
	
	
	Object getDataValue(int flags, IProgressMonitor monitor);
	
}
