/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.layer.event;

import org.eclipse.statet.ecommons.waltable.coordinate.LRange;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;


public class RowUpdateEvent extends RowVisualChangeEvent {
	
	public RowUpdateEvent(final ILayer layer, final long rowPosition) {
		this(layer, new LRange(rowPosition));
	}
	
	public RowUpdateEvent(final ILayer layer, final LRange rowPositionRange) {
		super(layer, rowPositionRange);
	}
	
	public RowUpdateEvent(final RowUpdateEvent event) {
		super(event);
	}
	
	@Override
	public RowUpdateEvent cloneEvent() {
		return new RowUpdateEvent(this);
	}

}
