/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.layer.event;

import java.util.Arrays;
import java.util.Collection;

import org.eclipse.statet.ecommons.waltable.coordinate.LRectangle;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;


public class VisualRefreshEvent implements IVisualChangeEvent {

	private ILayer layer;

	public VisualRefreshEvent(final ILayer layer) {
		this.layer= layer;
	}
	
	protected VisualRefreshEvent(final VisualRefreshEvent event) {
		this.layer= event.layer;
	}
	
	@Override
	public ILayer getLayer() {
		return this.layer;
	}

	@Override
	public boolean convertToLocal(final ILayer localLayer) {
		this.layer= localLayer;
		
		return true;
	}
	
	@Override
	public Collection<LRectangle> getChangedPositionRectangles() {
		return Arrays.asList(new LRectangle[] { new LRectangle(0, 0, this.layer.getColumnCount(), this.layer.getRowCount()) });
	}
	
	@Override
	public ILayerEvent cloneEvent() {
		return new VisualRefreshEvent(this);
	}
	
}
