/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.resize;

import org.eclipse.statet.ecommons.waltable.command.AbstractDimPositionCommand;
import org.eclipse.statet.ecommons.waltable.command.ILayerCommand;
import org.eclipse.statet.ecommons.waltable.grid.layer.GridLayer;
import org.eclipse.statet.ecommons.waltable.layer.ILayerDim;
import org.eclipse.statet.ecommons.waltable.selection.SelectionLayer;


/**
 * This command triggers the AutoResizeColumms command. It collects the selected
 * columns from the {@link SelectionLayer} and fires the
 * {@link AutoResizePositionsCommand} on the {@link GridLayer}
 */
public class InitializeAutoResizeCommand extends AbstractDimPositionCommand {
	
	
	public InitializeAutoResizeCommand(final ILayerDim layer, final long position) {
		super(layer, position);
	}
	
	protected InitializeAutoResizeCommand(final InitializeAutoResizeCommand command) {
		super(command);
	}
	
	@Override
	public ILayerCommand cloneCommand() {
		return new InitializeAutoResizeCommand(this);
	}
	
	
}
