/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.sort;

import java.util.Collection;

import org.eclipse.statet.ecommons.waltable.coordinate.LRange;
import org.eclipse.statet.ecommons.waltable.layer.ILayerDim;
import org.eclipse.statet.ecommons.waltable.layer.event.ColumnVisualChangeEvent;


public class SortColumnEvent extends ColumnVisualChangeEvent {
	
	
	public SortColumnEvent(final ILayerDim layer, final long columnPosition) {
		super(layer.getLayer(), new LRange(columnPosition));
	}
	
	public SortColumnEvent(final ILayerDim layer, final Collection<LRange> columnPositions) {
		super(layer.getLayer(), columnPositions);
	}
	
	protected SortColumnEvent(final SortColumnEvent event) {
		super(event);
	}
	
	@Override
	public SortColumnEvent cloneEvent() {
		return new SortColumnEvent(this);
	}
	
}
