/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.style.editor;

import org.eclipse.statet.ecommons.waltable.command.AbstractContextFreeCommand;
import org.eclipse.statet.ecommons.waltable.config.IConfigRegistry;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;


public class DisplayColumnStyleEditorCommand extends AbstractContextFreeCommand {

	public final long columnPosition;
	public final long rowPosition;
	private final ILayer layer;
	private final IConfigRegistry configRegistry;

	public DisplayColumnStyleEditorCommand(final ILayer natLayer, final IConfigRegistry configRegistry, final long columnPosition, final long rowPosition) {
		this.layer= natLayer;
		this.configRegistry= configRegistry;
		this.columnPosition= columnPosition;
		this.rowPosition= rowPosition;
	}
	
	public ILayer getNattableLayer() {
		return this.layer;
	}

	public IConfigRegistry getConfigRegistry() {
		return this.configRegistry;
	}
}
