/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.ui;

import org.eclipse.statet.ecommons.waltable.NatTable;
import org.eclipse.statet.ecommons.waltable.coordinate.LRectangle;
import org.eclipse.statet.ecommons.waltable.layer.ILayer;


/**
 * Specifies the rectangular area available to an {@link ILayer}
 * Note: All layers get the client area from {@link NatTable} which implements this interface. 
 * 
 * @see ILayer#getClientAreaProvider()
 */
public interface IClientAreaProvider {
	
	
	IClientAreaProvider DEFAULT= new IClientAreaProvider() {
		@Override
		public LRectangle getClientArea() {
			return new LRectangle(0, 0, 0, 0);
		}
	};
	
	
	LRectangle getClientArea();
	
}
