/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.viewport;

import java.util.Collection;

import org.eclipse.statet.ecommons.waltable.layer.event.StructuralDiff;
import org.eclipse.statet.ecommons.waltable.layer.event.StructuralRefreshEvent;


public class ScrollEvent extends StructuralRefreshEvent {

	public ScrollEvent(final ViewportLayer viewportLayer) {
		super(viewportLayer);
	}
	
	protected ScrollEvent(final ScrollEvent event) {
		super(event);
	}
	
	@Override
	public ScrollEvent cloneEvent() {
		return new ScrollEvent(this);
	}
	
	@Override
	public Collection<StructuralDiff> getColumnDiffs() {
		// TODO this is bogus - should have a horiz/vert scroll event instead that are multi col/row structural changes
		return null;
	}
	
	@Override
	public Collection<StructuralDiff> getRowDiffs() {
		// TODO this is bogus - should have a horiz/vert scroll event instead that are multi col/row structural changes
		return null;
	}
	
}
