/*=============================================================================#
 # Copyright (c) 2010, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.viewport;

import org.eclipse.statet.ecommons.waltable.command.AbstractRelativeCommand;
import org.eclipse.statet.ecommons.waltable.coordinate.Direction;


public class ScrollPageCommand extends AbstractRelativeCommand {
	
	
	public ScrollPageCommand(final Direction direction) {
		super(direction, 1);
	}
	
	protected ScrollPageCommand(final ScrollPageCommand command) {
		super(command);
	}
	
	@Override
	public ScrollPageCommand cloneCommand() {
		return new ScrollPageCommand(this);
	}
	
	
}
