/*=============================================================================#
 # Copyright (c) 2014, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.text.core.treepartitioner;

import org.eclipse.jface.text.IDocument;

import org.eclipse.statet.jcommons.lang.NonNullByDefault;


@NonNullByDefault
public abstract class BasicPartitionNodeType implements TreePartitionNodeType {
	
	
	public BasicPartitionNodeType() {
	}
	
	
	@Override
	public abstract String getPartitionType();
	
	@Override
	public boolean prefereAtBegin(final TreePartitionNode node, final IDocument document) {
		return false;
	}
	
	@Override
	public boolean prefereAtEnd(final TreePartitionNode node, final IDocument document) {
		return ((node.getFlags() & TreePartitionNode.END_UNCLOSED) != 0);
	}
	
	
	@Override
	public String toString() {
		return getPartitionType();
	}
	
}
