/*=============================================================================#
 # Copyright (c) 2015, 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.jcommons.text.core.util;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;


public class HtmlUtilsEntityTest {
	
	
	@Test
	public void getEntityName_fromName() {
		assertEquals("amp", HtmlUtils.getEntityReference("amp"));
	}
	
	@Test
	public void getEntityName_fromHtmlEntity() {
		assertEquals("amp", HtmlUtils.getEntityReference("&amp;"));
		
		assertEquals("amp", HtmlUtils.getEntityReference("&amp"));
	}
	
}
