/*=============================================================================#
 # Copyright (c) 2021 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.jcommons.collections;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.Test;

import org.eclipse.statet.internal.jcommons.collections.ImIntEmptyList;
import org.eclipse.statet.jcommons.lang.NonNullByDefault;


@NonNullByDefault
public class ImIntEmptyListTest extends AbstractImIntListTest {
	
	
	public ImIntEmptyListTest() {
	}
	
	
	@Override
	protected ImIntList createList(final int value0) {
		return ImIntEmptyList.INSTANCE;
	}
	
	@Override
	protected int getExpectedSize() {
		return 0;
	}
	
	
	@Test
	@Override
	public void equals() {
		super.equals();
		assertTrue(this.list.equals(ImCollections.emptyIntList()));
	}
	
}
